## org.apache.lucene.queryParser.standard.builders
Class FuzzyQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.FuzzyQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class FuzzyQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds a `FuzzyQuery` object from a `FuzzyQueryNode` object.

Constructor Summary
`FuzzyQueryNodeBuilder()`

Method Summary
`org.apache.lucene.search.FuzzyQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyQueryNodeBuilder

    public FuzzyQueryNodeBuilder()

Method Detail

### build

    public org.apache.lucene.search.FuzzyQuery build(QueryNode queryNode)
                                              throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`